diff --git a/web/pgadmin/utils/ajax.py b/web/pgadmin/utils/ajax.py
index 45a52fa..8f8b22a 100644
--- a/web/pgadmin/utils/ajax.py
+++ b/web/pgadmin/utils/ajax.py
@@ -18,7 +18,8 @@ import decimal
 
 class DataTypeJSONEncoder(json.JSONEncoder):
     def default(self, obj):
-        if isinstance(obj, datetime.datetime):
+        if isinstance(obj, datetime.datetime) \
+                or hasattr(obj, 'isoformat'):
             return obj.isoformat()
         if isinstance(obj, decimal.Decimal):
             return float(obj)
